Bug 63949 - Hostname check fails on German installation.
Summary: Hostname check fails on German installation.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Burke
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-22 15:31 UTC by Tom Coughlan
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-25 23:58:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:226 normal SHIPPED_LIVE Fixes for clumanager addressing starvation and service hangs 2002-10-08 04:00:00 UTC

Description Tom Coughlan 2002-04-22 15:31:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
Robert Meiners <meiners@gonicus.de> reports that:

I working for your College Joachim Kunze from Germany.
I already tried  the latest Beta of the RHAS and found 
a Bug in the Config Script.

In the Section you verify the Hostnames you grep for the 
/inet adr/
but in the German installation the Output of ifconfig is

'inet Adresse'

we test it successfully with removing 'adr'. So grep only
vor /inet/ and it works.

with best regards

Robert Meiners




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Advanced Server in German.
2.
3.
	

Additional info:

Comment 1 Michael Fulbright 2002-04-24 16:00:33 UTC
I cannot find this string anywhere in the anaconda sources - which script are
you referring to?


Comment 2 Tom Coughlan 2002-04-24 20:28:55 UTC
I apologize. This customer is in Germany, and the communication is not too good.
His problem occurred when he tried to install the Cluster Manager, not the o.s.
as I originally thought.

The string is actually  /inet addr/ and it is in cluconfig.



Comment 3 Tim Burke 2002-04-25 23:58:20 UTC
Thank you very much for bringing this problem and corresponding fix to our
attention.

The implications of this bug are that when running cluconfig, the user will be
presented with a warning message (which shouldn't appear).  Here if they agree
with the default of proceeding, then everything will configure correctly.

Enter hostname of the cluster member on heartbeat channel 0 [cluh]: 
Looking for host cluh (may take a few seconds)...
Hostname does not map to any interface. Keep your selection? [yes]: 

We'll definitely put your patch into the latest source pool.  Thanks again.



Comment 4 Lon Hohberger 2002-06-17 19:43:49 UTC
Fix in pool.


Note You need to log in before you can comment on or make changes to this bug.